Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Transaction Inquiry ​

  • Endpoint: POST /v1.0/debit/status
  • Tags: Indonesia SNAP/Collection

Parameters ​

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYesContent type, value always application/json
X-TIMESTAMPheaderstringYesTransaction date time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX.
X-SIGNATUREheaderstringYesSignature need to be generated with symmetricSignature or asymmetricSignature method
ORIGINheaderstringNoOrigin domain
X-PARTNER-IDheaderstringYesUnique identifier for partner was generated by Payermax, or known as clientId
X-EXTERNAL-IDheaderstringYesUnique messaging reference identifier generated by merchant and should be unique within the same day
CHANNEL-IDheaderstringYesDevice identification on which the API services is currently being accessed by the end user (customer)
AuthorizationheaderstringYesRepresents access_token of a request; string starts with keyword “Bearer ” followed by access_token

Parameter Examples ​

  • Content-Type: "application/json"
  • X-TIMESTAMP: ""
  • X-SIGNATURE: ""
  • ORIGIN: ""
  • X-PARTNER-ID: ""
  • X-EXTERNAL-ID: ""
  • CHANNEL-ID: ""
  • Authorization: ""

Request Body ​

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 32Merchant identifier that is unique per each merchant
originalPartnerReferenceNostringYesmaxLength: 64Original transaction identifier on partner system
serviceCodestringYesmaxLength: 2Transaction type indicator (service code of the original transaction request)
additionalInfoobjectYesAdditional information
additionalInfo.versionstringYesmaxLength: 8API version. Current value: 1.4
additionalInfo.keyVersionstringYesmaxLength: 8Signature Algorithm Version, Current value: 1

Example ​

json
{
  "originalPartnerReferenceNo": "20240305152406779100017",
  "merchantId": "P05010114269706",
  "serviceCode": "17",
  "additionalInfo": {
    "version": "1.4",
    "keyVersion": "1"
  }
}

Responses ​

200 ​

ErrorCode ​

codemessage
2005500Successful
5005501Internal Server Error
4005501Invalid Field Format [field name/msg]
4295500Too Many Requests
4015500Unauthorized. [reason]
4045508Invalid Merchant
4045501Transaction Not Found
5005500General Error [msg]
FieldTypeRequiredConstraintsDescriptionEnum
responseCodestringYesmaxLength: 7response code
responseMessagestringYesmaxLength: 256response msg
originalPartnerReferenceNostringYesmaxLength: 64Original transaction identifier on service consumer system
originalReferenceNostringYesmaxLength: 64Original transaction identifier on service Payermax system
transAmountobjectNoTrans amount
transAmount.valuenumberYesTrans amount
transAmount.currencystringYesmaxLength: 3Trans currency
latestTransactionStatusstringYesmaxLength: 2Category code for the status of the transaction. The values include: 00 = Success, the order has been successfully in final state and paid 03 = Pending, the order is in process, not in final state, payment is success 05 = Cancelled, the order has been closed 06 = Failed, the order has been failed
paidTimestringNomaxLength: 25Transaction paid time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX
originalResponseMessagestringNomaxLength: 256Original response message
refundHistoryarray[object]NoRefund orders
refundHistory[].refundNostringYesmaxLength: 64Refund transaction Identifier on Service Provider System
refundHistory[].partnerRefundNostringYesmaxLength: 64Refund transaction identifier on service consumer system
refundHistory[].refundAmountobjectYesNet amount of the refund
refundHistory[].refundAmount.valuestringYesRefund amount
refundHistory[].refundAmount.currencystringYesmaxLength: 3Refund currency
refundHistory[].refundStatusstringYesmaxLength: 200 - Success 03 - Pending 06 - Failed
refundHistory[].refundDatestringNomaxLength: 25Refund transaction date

Response Example ​

json
{
  "transAmount": {
    "currency": "IDR",
    "value": 100000
  },
  "refundHistory": [],
  "originalReferenceNo": "T2024030507930244000069",
  "latestTransactionStatus": "05",
  "originalResponseMessage": "Payment was not completed on time.",
  "originalPartnerReferenceNo": "20240305152406779100017",
  "responseMessage": "Success.",
  "paidTime": "",
  "responseCode": "2005500"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.